Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.e-invoice.be/api/mailbox/{inbound_email_id}/reprocess \ --header 'Authorization: Bearer <token>'
import requestsurl = "https://api.e-invoice.be/api/mailbox/{inbound_email_id}/reprocess"headers = {"Authorization": "Bearer <token>"}response = requests.post(url, headers=headers)print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};fetch('https://api.e-invoice.be/api/mailbox/{inbound_email_id}/reprocess', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.e-invoice.be/api/mailbox/{inbound_email_id}/reprocess", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
package mainimport ( "fmt" "net/http" "io")func main() { url := "https://api.e-invoice.be/api/mailbox/{inbound_email_id}/reprocess" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body))}
HttpResponse<String> response = Unirest.post("https://api.e-invoice.be/api/mailbox/{inbound_email_id}/reprocess") .header("Authorization", "Bearer <token>") .asString();
require 'uri'require 'net/http'url = URI("https://api.e-invoice.be/api/mailbox/{inbound_email_id}/reprocess")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Authorization"] = 'Bearer <token>'response = http.request(request)puts response.read_body
{ "id": "<string>", "message_id": "<string>", "sender_email": "<string>", "created_at": "2023-11-07T05:31:56Z", "sender_name": "<string>", "to_addresses": "<string>", "cc_addresses": "<string>", "bcc_addresses": "<string>", "subject": "<string>", "attachments": [], "attachment_count": 0, "processed": false, "error_message": "<string>", "received_at": "2023-11-07T05:31:56Z", "processed_at": "2023-11-07T05:31:56Z", "document_id": "<string>" }
{ "detail": "<string>"}
Retry processing of a previously failed inbound email by replaying the original Postmark payload.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Successful Response
Show child attributes